/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package csoves.implementaciok;

import csoves.interfacek.Cso;
import csoves.interfacek.Henger;
import csoves.interfacek.Rud;
import java.text.NumberFormat;

/**
 *
 * @author :)
 */
public class CsoImpl implements Cso {

    private double belsoSugar;
    private Rud rud;

    public CsoImpl(double sugar, double belsoSugar, double magassag, double suruseg) {
        rud = new RudImpl(sugar, magassag, suruseg);
        this.belsoSugar = belsoSugar;
    }

    @Override
    public double getBelsoSugar() {
        return belsoSugar;
    }

    @Override
    public double getSuruseg() {
        return rud.getSuruseg();
    }

    @Override
    public double getSugar() {
        return rud.getSugar();
    }

    @Override
    public double getMagassag() {
        return rud.getSugar();
    }

    @Override
    public double tomeg() {
        return this.terfogat() * rud.getSuruseg();
    }

    @Override
    public double terfogat() {
        Henger belso = new HengerImpl(belsoSugar, rud.getMagassag());
        return rud.terfogat() - belso.terfogat();
    }

    @Override
    public String alakzatNev() {
        return "Cső";
    }

    private String format(double szam) {
        NumberFormat nf = NumberFormat.getInstance();
        nf.setMaximumFractionDigits(2);
        return nf.format(szam);
    }

    @Override
    public String toString() {
        return rud + "\nbelső sugár: " + format(belsoSugar);
    }

    
}
