/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package csoves.implementaciok;

import csoves.interfacek.Henger;
import csoves.interfacek.Rud;
import java.text.NumberFormat;

/**
 *
 * @author :)
 */
public class RudImpl implements Rud {

    private Henger henger;
    private double suruseg;

    public RudImpl(double sugar, double magassag, double suruseg) {
        henger = new HengerImpl(sugar, magassag);
        this.suruseg = suruseg;
    }

    @Override
    public double tomeg() {
        return henger.terfogat() * suruseg;
    }

    @Override
    public double getSuruseg() {
        return suruseg;
    }

    @Override
    public double getSugar() {
        return henger.getSugar();
    }

    @Override
    public double getMagassag() {
        return henger.getMagassag();
    }

    @Override
    public double terfogat() {
        return henger.terfogat();
    }

    private String format(double szam) {
        NumberFormat nf = NumberFormat.getInstance();
        nf.setMaximumFractionDigits(2);
        return nf.format(szam);
    }
 
    @Override
    public String toString() {
        return henger + "\nsuruseg: " + format(suruseg);
    }

    @Override
    public String alakzatNev() {
        return "Rúd";
    }
}
